CVE-2021-40978

NameCVE-2021-40978
Description** DISPUTED ** The mkdocs 1.2.2 built-in dev-server allows directory traversal using the port 8000, enabling remote exploitation to obtain :sensitive information. NOTE: the vendor has disputed this as described in https://github.com/mkdocs/mkdocs/issues/2601.] and https://github.com/nisdn/CVE-2021-40978/issues/1.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
python-mkdocs (PTS)stretch0.15.3-5vulnerable
buster1.0.4+dfsg-1vulnerable
bookworm, sid, bullseye1.1.2+dfsg-1vulnerable

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
python-mkdocssource(unstable)(unfixed)unimportant

Notes

https://github.com/mkdocs/mkdocs/issues/2601

Search for package or bug name: Reporting problems